package com.ruoyi.custclient.service.impl;

import java.util.List;

import com.ruoyi.custclient.domain.LabelType;
import com.ruoyi.custclient.mapper.LabelTypeMapper;
import com.ruoyi.custclient.service.ILabelTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 标签组Service业务层处理
 * 
 * @author zhangyubo
 * @date 2024-10-16
 */
@Service
public class LabelTypeServiceImpl implements ILabelTypeService
{
    @Autowired
    private LabelTypeMapper labelTypeMapper;

    /**
     * 查询标签组
     * 
     * @param id 标签组主键
     * @return 标签组
     */
    @Override
    public LabelType selectLabelTypeById(Long id)
    {
        return labelTypeMapper.selectLabelTypeById(id);
    }

    /**
     * 查询标签组列表
     * 
     * @param labelType 标签组
     * @return 标签组
     */
    @Override
    public List<LabelType> selectLabelTypeList(LabelType labelType)
    {
        return labelTypeMapper.selectLabelTypeList(labelType);
    }

    /**
     * 新增标签组
     * 
     * @param labelType 标签组
     * @return 结果
     */
    @Override
    public int insertLabelType(LabelType labelType)
    {
        return labelTypeMapper.insertLabelType(labelType);
    }

    /**
     * 修改标签组
     * 
     * @param labelType 标签组
     * @return 结果
     */
    @Override
    public int updateLabelType(LabelType labelType)
    {
        return labelTypeMapper.updateLabelType(labelType);
    }

    /**
     * 批量删除标签组
     * 
     * @param ids 需要删除的标签组主键
     * @return 结果
     */
    @Override
    public int deleteLabelTypeByIds(Long[] ids)
    {
        return labelTypeMapper.deleteLabelTypeByIds(ids);
    }

    /**
     * 删除标签组信息
     * 
     * @param id 标签组主键
     * @return 结果
     */
    @Override
    public int deleteLabelTypeById(Long id)
    {
        return labelTypeMapper.deleteLabelTypeById(id);
    }
}
